﻿@model HOD.Models.VirtualListing
@using HOD.Models

@{
    Layout = "~/Views/Shared/_CasavueAdminLayout.cshtml";
    string RootDirectory = ViewBag.RootUrl;
    ViewBag.Title = "Edit my property";
    ViewBag.Active = "active";
    ViewBag.menuItem = "editlisting"; 
    string ImageDirectory = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/";//ViewBag.ImageUrl;

    List<SelectListItem> propertyTypes = new List<SelectListItem>();
    propertyTypes.Add(new SelectListItem { Text = "Commercial", Value = "CMC" });
    propertyTypes.Add(new SelectListItem { Text = "Industrial", Value = "INDS" });
    propertyTypes.Add(new SelectListItem { Text = "Apartment", Value = "APT" });
    propertyTypes.Add(new SelectListItem { Text = "Condo", Value = "CONDO" });
    propertyTypes.Add(new SelectListItem { Text = "Fully Detached", Value = "FDET" });
    propertyTypes.Add(new SelectListItem { Text = "Semi-Detached", Value = "SDET" });
    propertyTypes.Add(new SelectListItem { Text = "Townhouse", Value = "THSE" });
    propertyTypes.Add(new SelectListItem { Text = "Other", Value = "OTH" });

    List<SelectListItem> listItems = new List<SelectListItem>();
    listItems.Add(new SelectListItem { Text = "1", Value = "1.00" });
    listItems.Add(new SelectListItem { Text = "1.5", Value = "1.50" });
    listItems.Add(new SelectListItem { Text = "2", Value = "2.00" });
    listItems.Add(new SelectListItem { Text = "3", Value = "3.00" });
    listItems.Add(new SelectListItem { Text = "4", Value = "4.00" });
    listItems.Add(new SelectListItem { Text = "5", Value = "5.00" });
    listItems.Add(new SelectListItem { Text = "6", Value = "6.00" });

    List<SelectListItem> noOfFloors = new List<SelectListItem>();
    noOfFloors.Add(new SelectListItem { Text = "1", Value = "1" });
    noOfFloors.Add(new SelectListItem { Text = "2", Value = "2" });
    noOfFloors.Add(new SelectListItem { Text = "3", Value = "3" });
    noOfFloors.Add(new SelectListItem { Text = "4", Value = "4" });
    noOfFloors.Add(new SelectListItem { Text = "5", Value = "5" });
    noOfFloors.Add(new SelectListItem { Text = "6", Value = "6" });


    List<SelectListItem> propertyStatus = new List<SelectListItem>();
    propertyStatus.Add(new SelectListItem { Text = "For Sale", Value = "FS" });
    propertyStatus.Add(new SelectListItem { Text = "For Rent", Value = "FR" });
    propertyStatus.Add(new SelectListItem { Text = "For Lease", Value = "FL" });
    propertyStatus.Add(new SelectListItem { Text = "Sold", Value = "SL" });

    List<SelectListItem> yesNoResponses = new List<SelectListItem>();
    yesNoResponses.Add(new SelectListItem { Text = "Yes", Value = "true" });
    yesNoResponses.Add(new SelectListItem { Text = "No", Value = "false" });

    List<SelectListItem> heatTypeResponses = new List<SelectListItem>();
    heatTypeResponses.Add(new SelectListItem { Text = "Natural Gas", Value = "NATGAS" });
    heatTypeResponses.Add(new SelectListItem { Text = "Oil", Value = "OIL" });

    string logoImage = string.Empty;
    int agentId = 0;
    string background = string.Empty;
    string businessName = string.Empty;
    string phone1 = string.Empty;
    string phone2 = string.Empty;
    string agentPhoto = string.Empty;
    string agentAddress = string.Empty;
    string province = string.Empty;
    string postalCode = string.Empty;
    string agentUrl = string.Empty;
    int imageUploadCount = 6;
    

    using (UsersContext db = new UsersContext())
    {
        UserProfile currentUser = db.UserProfiles.Find(WebSecurity.CurrentUserId);

        imageUploadCount = Convert.ToInt32(currentUser.MaxUploadCount);

        if (imageUploadCount == 0)
        {
            imageUploadCount = 6;
        }
            

        if (Session["AGENTID"] != null)
        {
            agentId = int.Parse(Session["AGENTID"].ToString());
        }
        else
        {
            agentId = currentUser.AgentId;
        }


        HOD.Data.Entities.AgentInformation agentData;

        bool isCasaVueAgent = false;

        if (agentId == Convert.ToInt32(System.Configuration.ConfigurationManager.AppSettings["DefaultAgentId"].ToString()))
        {
            isCasaVueAgent = true;
        }

        bool isFreeTier = false;

        using (HOD.Data.Entities.HODContext dbX = new HOD.Data.Entities.HODContext())
        {
            //if (dbX.UserProfiles.Where(x => x.AgentId == agentId).FirstOrDefault().Tier.ToUpper() == "FREE")
            //{
            //    isFreeTier = true;
            //}
            //else
            //{
            //    isFreeTier = false;
            //}
        }

        using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext())
        {
            agentData = dbContext.AgentInformations.Where(x => x.AgentId == agentId).FirstOrDefault();
            if (agentData != null)
            {
                logoImage = ImageDirectory + agentData.MainWebsitePhoto;
                agentPhoto = ImageDirectory + agentData.ProfilePhoto;
                background = ImageDirectory + agentData.BackgroundPhoto;
                businessName = agentData.BusinessName;
                phone1 = agentData.Phone1;
                phone2 = agentData.Phone2;
                province = agentData.Province;
                postalCode = agentData.PostalCode;
                agentAddress = agentData.BusinessAddress;
                agentUrl = agentData.AgentUrl;
            }
            //FREE TIER NOT CASAVUE CLIENT
            if (isFreeTier && !isCasaVueAgent)
            {
                background = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg";
                logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
            }

            //FREE TIER AND CASAVUE CLIENT
            //if (isCasaVueAgent){
            //No work required the agentData will contain the casavue content
            //}
        }
    }

}



<link href="@Url.Content("~/Scripts/dropzone/basic.css")" rel="stylesheet">
<link href="@Url.Content("~/Scripts/dropzone/dropzone.css")" rel="stylesheet">

<!-- multistep form -->
<body class="open hide-secondary-sidebar">

    <div class="admin-wrapper">
        @Html.Partial("_AdminMenu")<!-- /.admin-navigation --><!-- /.admin-navigation -->
        <div class="admin-content">
            <div class="admin-content-inner">
                <div class="admin-content-header">
                    <div class="admin-content-header-inner">
                        <div class="container-fluid">
                            <div class="admin-content-header-logo">
                                <a href="edit-my-property.html">
                                    Edit my property
                                </a>
                            </div><!-- /admin-content-header-logo -->
                        </div><!-- /.container-fluid -->
                    </div><!-- /.admin-content-header-inner -->
                </div><!-- /.admin-content-header -->
                <div class="admin-content-main">
                    <div class="admin-content-main-inner">
                        <div class="container-fluid">
                            <h2 class="page-header">Summary</h2>


                          @using (Html.BeginForm("Edit", "Listing", FormMethod.Post, new { @class = "form-horizontal", @role = "form", enctype = "multipart/form-data", id = "msform" }))
                          {
                               
                            
                               <input type="hidden" name="ListingId" id="ListingId" value="@Model.ListingId"/>
                                <div class="box">
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <div class="form-group">
                                                @Html.DropDownListFor(x => x.PropertyType, propertyTypes, new { @class = "form-control" })
                                            </div><!-- /.form-group -->
                                            <div class="form-group">
                                                @Html.DropDownListFor(x => x.PropertyStatus, propertyStatus, new { @class = "form-control" })
                                            </div><!-- /.form-group -->
                                            <div class="input-group">
                                                <span class="input-group-addon"><i class="fa fa-dollar"></i></span>
                                                @Html.TextBoxFor(x => x.ListPrice, new { @class = "form-control", @maxlength = 15 })
                                            </div><!-- /.form-group -->

                                            <div class="input-group">
                                                <span class="input-group-addon"><i class="fa fa-phone"></i></span>
                                                @Html.TextBoxFor(x => x.PhoneNo, Model.PhoneNo, new { @class = "form-control", @maxlength = 15 })
                                            </div><!-- /.form-group -->

                                            <div class="input-group"> 
                                                <span class="input-group-addon"><i class="fa fa-home"></i></span>
                                                @Html.TextBoxFor(x => x.Address, Model.Address, new { @class = "form-control" })
                                            </div><!-- /.form-group -->

                                        </div><!-- /.col-* -->
                                        <div class="col-sm-6">
                                            <div class="input-group">
                                                <span class="input-group-addon"><i class="fa fa-arrows"></i></span>
                                                @Html.TextBoxFor(m => m.SquareFootage, new { @class = "form-control" })
                                            </div><!-- /.form-group -->
                                            <div class="input-group">
                                                <span class="input-group-addon"><i class="fa fa-tint"></i></span>
                                                @Html.DropDownListFor(m => m.NoOfBathrooms, listItems, new { @class = "form-control" })
                                            </div><!-- /.form-group -->
                                            <div class="input-group">
                                                <span class="input-group-addon"><i class="fa fa-bed"></i></span>
                                                @Html.DropDownListFor(m => m.NoOfBedrooms, listItems, new { @class = "form-control" })
                                            </div><!-- /.form-group -->
                                            <div class="input-group hidden">
                                                <span class="input-group-addon"><i class="fa fa-car"></i></span>
                                                @Html.DropDownListFor(m => m.hasGarage, yesNoResponses, new { @class = "form-control" })
                                            </div><!-- /.form-group -->

                                            <div class="input-group">
                                                <span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
                                                @Html.TextBoxFor(x => x.City, Model.City, new { @class = "form-control" })
                                            </div><!-- /.form-group -->

                                            <div class="input-group">
                                                <span class="input-group-addon"><i class="fa fa-envelope"></i></span>
                                                @Html.TextBoxFor(x => x.PostalCode, Model.PostalCode, new { @class = "form-control" })
                                            </div><!-- /.form-group -->
                                        </div><!-- /.col-* -->
                                    </div><!-- /.row -->
                                </div><!-- /.box -->
                                
                               <div class="hidden">
                                   @Html.TextBoxFor(m => m.AgeOfHome, new { @class = "form-control", @placeholder = "Age of home in years" })
                                   @Html.DropDownListFor(m => m.hasBasement, yesNoResponses, new { @class = "form-control" })
                                   @Html.DropDownListFor(m => m.hasFinishedBasement, yesNoResponses, new { @class = "form-control" })
                                   @Html.DropDownListFor(m => m.hasAC, yesNoResponses, new { @class = "form-control" })
                                   @Html.TextBoxFor(x => x.annualTaxes, new { @class = "form-control", @maxlength = 15 })
                                   @Html.DropDownListFor(m => m.heatType, heatTypeResponses, new { @class = "form-control" })

                                   @*<div class="col-xs-4 hidden">

                                       <table border="0" style="width:100%">
                                           <tr>
                                               <td><button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="imageMain1">Upload</button></td>
                                               <td><button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="imageMain2">Upload</button></td>
                                               @Html.HiddenFor(m => m.Image1VirtualSign, new { id = "_image1" })
                                               @Html.HiddenFor(m => m.Image2VirtualSign, new { id = "_image2" })

                                           </tr>
                                           <tr>
                                               <td>
                                                   <output id="summarylist1"></output>
                                               </td>
                                               <td>
                                                   <output id="summarylist2"></output>
                                               </td>
                                           </tr>
                                           <tr>
                                               <td><button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="imageMain3">Upload</button></td>
                                               <td><button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="imageMain4">Upload</button></td>
                                               @Html.HiddenFor(m => m.Image3VirtualSign, new { id = "_image3" })
                                               @Html.HiddenFor(m => m.Image4VirtualSign, new { id = "_image4" })

                                           </tr>


                                           <tr>
                                               <td><button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="imageMain5">Upload</button></td>
                                               <td><button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="imageMain6">Upload</button></td>
                                               @Html.HiddenFor(m => m.Image5VirtualSign, new { id = "_image5" })
                                               @Html.HiddenFor(m => m.Image6VirtualSign, new { id = "_image6" })
                                               <!--  <td>@Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "imageMain5" })</td>-->
                                               <!--  <td>@Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "imageMain6" })</td>-->
                                           </tr>

                                           <tr>
                                               <td>
                                                   <output id="summarylist5"></output>
                                               </td>
                                               <td>
                                                   <output id="summarylist6"></output>
                                               </td>
                                           </tr>
                                       </table>


                                   </div>*@
                               </div>
                              
                                <div class="box">
                                    <div class="form-group">
                            @{

                              string[] stringSeparatorsPD = new string[] { "<=>" };
                              string[] propertyDetails = Model.MainSellingDesc.Split(stringSeparatorsPD, StringSplitOptions.None);
                              
                              }
                                        
                                        <textarea rows="4" name="MainSellingDesc"  id="MainSellingDesc" data-val-required="Sellers Description is a required field" data-val="true" cols="20" class="form-control" style="overflow: hidden; word-wrap: break-word; height: 68px;">@propertyDetails[0]</textarea>
                                    </div><!-- /.form-group -->
                                </div><!-- /.box -->
                                <div class="row">
                                    <div class="col-sm-12">
                                        <h2 class="page-header">Pictures - Gallery</h2>

                                        <div class="images">
                                        </div>
                                        <div class="box">
                                            <div class="dropzone" id="dropzoneContainer">
                                                <div class="fallback">
                                                    <input name="file" type="file" multiple />
                                                    <input type="submit" value="Upload" />
                                                </div>
                                            </div>
                                        </div><!-- /.box -->
                                        <div class="upload-error-message" style="color: #ff0000"></div>
                                    </div>
                                </div>

                                <h2 class="page-header">Property Details</h2>
                                <div class="property-amenities">
                                    <input type="hidden" name="selectedOptions" id="selectedOptions" value="Upload" />
                                    <ul>

                                        @{ 
                              string[] stringSeparators = new string[] { "," };
                              string[] propertyDetailsHold = null;
                              try
                              {
                                  if (propertyDetails[1] != null)
                                  {
                                      propertyDetailsHold = propertyDetails[1].Split(stringSeparators, StringSplitOptions.None);
                                  }
                                  
                                  
                              }catch(NullReferenceException nfe){
                                  propertyDetailsHold = new string[] { "None" };
                              }
                              catch (IndexOutOfRangeException ior)
                              {
                                  propertyDetailsHold = new string[] { "None" }; ;
                              } 

                              string[] propertyDetailsOptions = new string[] {
                                                    "New",
                                                    "Resale",
                                                    "Freehold",
                                                    "Condominium",
                                                    "City Lot",
                                                    "Acreage",
                                                    "Single Garage",
                                                    "Double Garage",
                                                    "Triple Car Garage",
                                                    "Car port" ,
                                                    "Brick Construction" ,
                                                    "Aluminum siding" ,
                                                    "Wood Siding" ,
                                                    "Bungalow" ,
                                                    "2  Storey" ,
                                                    "Highrise" ,
                                                    "Finished  Basement" ,
                                                    "Finished  Basement" ,
                                                    "Municipal Sewer" ,
                                                    "Septic" ,
                                                    "Municipal Water" ,
                                                    "Well" ,
                                                    "Gas Heat" ,
                                                    "Oil Heat" ,
                                                    "Central Air" ,
                                                    "Master Ensuite" ,
                                                    "Eat –in- kitchen" ,
                                                    "Separate Dining Room" ,
                                                    "Gas Fireplace" ,
                                                    "Wood burning Fireplace" ,
                                                    "Den or office" ,
                                                    "Deck or Patio" ,
                                                    "Workshop"
                                                };
                                              int counter = 1;
                                              foreach (string s in propertyDetailsOptions)
                                              {
                                                    if (Array.Exists(propertyDetailsHold, element => element == s))
                                                    {
                                                        <li><label><input type="checkbox" name="propertydetails[]" checked="checked" value="@s">@s</label></li>
                                                    }
                                                    else
                                                    {
                                                        <li><label><input type="checkbox" name="propertydetails[]" value="@s">@s</label></li>
                                                    }



                                              }


}
                                        @*<li><label><input type="checkbox" name="PropertyDetails[]" value="Air conditioning" @if (Array.Exists(propertyDetailsHold, element => element == "Air conditioning")){  @checkedTxt; }> Air conditioning</label></li>
                                        <li><label><input type="checkbox"> Balcony</label></li>
                                        <li><label><input type="checkbox"> Bedding</label></li>
                                        <li><label><input type="checkbox"> Cable/Satellite TV</label></li>
                                        <li><label><input type="checkbox"> Cleaning after exit</label></li>
                                        <li><label><input type="checkbox"> Coffee pot</label></li>
                                        <li><label><input type="checkbox"> Computer</label></li>
                                        <li><label><input type="checkbox"> Cot</label></li>
                                        <li><label><input type="checkbox"> Dishwasher</label></li>
                                        <li><label><input type="checkbox"> DVD</label></li>
                                        <li><label><input type="checkbox"> Fan</label></li>
                                        <li><label><input type="checkbox"> Fridge</label></li>
                                        <li><label><input type="checkbox"> Grill</label></li>
                                        <li><label><input type="checkbox"> Hairdryer</label></li>
                                        <li><label><input type="checkbox"> Heating</label></li>
                                        <li><label><input type="checkbox"> Hi-fi</label></li>
                                        <li><label><input type="checkbox"> Internet</label></li>
                                        <li><label><input type="checkbox"> Iron</label></li>
                                        <li><label><input type="checkbox"> Juicer</label></li>
                                        <li><label><input type="checkbox"> Lift</label></li>
                                        <li><label><input type="checkbox"> Microwave</label></li>
                                        <li><label><input type="checkbox"> Oven</label></li>
                                        <li><label><input type="checkbox"> Parking</label></li>
                                        <li><label><input type="checkbox"> Parquet</label></li>
                                        <li><label><input type="checkbox"> Pets Allowed</label></li>
                                        <li><label><input type="checkbox"> Pool</label></li>
                                        <li><label><input type="checkbox"> Radio</label></li>
                                        <li><label><input type="checkbox"> Roof terrace</label></li>
                                        <li><label><input type="checkbox"> Smoking allowed</label></li>
                                        <li><label><input type="checkbox"> Terrace</label></li>
                                        <li><label><input type="checkbox"> Toaster</label></li>
                                        <li><label><input type="checkbox"> Towels</label></li>
                                        <li><label><input type="checkbox"> Use of pool</label></li>*@
                                    </ul>
                                </div>

                                @*<div class="row hidden">

                                    <div class="col-sm-12 ">
                                        <h2 class="page-header">Map Position</h2>
                                        <div class="box">
                                            <input id="pac-input" class="controls" type="text" placeholder="Enter a location">
                                            <div id="map-canvas"></div>
                                            <div class="row">
                                                <div class="col-sm-6">
                                                    <div class="input-group">
                                                        <span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
                                                        <input class="form-control" type="text" placeholder="Latitude" id="input-latitude">
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-* -->
                                                <div class="col-sm-6">
                                                    <div class="input-group">
                                                        <span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
                                                        <input class="form-control" type="text" placeholder="Lontgitude" id="input-longitude">
                                                    </div><!-- /.form-group -->
                                                </div><!-- /.col-* -->
                                            </div><!-- /.row -->
                                        </div><!-- /.box -->
                                    </div>
                                </div>*@<!-- /.row -->

                                <div class="center">
                                    <button class="btn btn-xl">Save and View</button>
                                </div><!-- /.center -->
                            }
                        </div><!-- /.container-fluid -->
                    </div><!-- /.admin-content-main-inner -->
                </div><!-- /.container-fluid -->
                <div class="admin-content-footer">
                    <div class="admin-content-footer-inner">
                        <div class="container-fluid">
                            <div class="admin-content-footer-left">
                                &copy; 2015 Casavue. All rights reserved.
                            </div><!-- /.admin-content-footer-left -->
                            <div class="admin-content-footer-right">

                            </div><!-- /.admin-content-footer-right -->
                        </div><!-- /.container-fluid -->
                    </div><!-- /.admin-content-footer-inner -->
                </div><!-- /.admin-content-footer -->
            </div><!-- /.admin-content-main-inner -->
        </div><!-- /.admin-content -->
    </div><!-- /.admin-landing-wrapper -->
    <!----------------------------------------------------------------------------------------------------------->
    <!-- Modal -->

    <div id='injection_site' style="width: 80%; left: 10%; height: 90%; top: 5%; position: fixed"></div>
    <div id="preview-template" style="display: none;">
        <div class="dz-preview dz-file-preview">
            <div class="dz-details hidden">
                <div class="dz-filename"><span data-dz-name></span></div>
                <div class="dz-size" data-dz-size></div>
                <img data-dz-thumbnail />
            </div>
            <div class="dz-progress"><span class="dz-upload" data-dz-uploadprogress></span></div>
            <div class="dz-success-mark"><span>✔</span></div>
            <div class="dz-error-mark"><span>✘</span></div>
            <div class="dz-error-message"><span data-dz-errormessage></span></div>
        </div>
    </div>



    @section scripts{
        <!-- Load Feather code -->
        <script type="text/javascript" src="http://feather.aviary.com/js/feather.js"></script>
        @*<script type="text/javascript">
            function editListingImage(id, filename) {
                // Make sure the button click doesn't submit the form:

                return launchEditor(id, 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + filename);
                // Remove the file preview.
                //_this.removeFile(file);
                // If you want to the delete the file on the server as well,
                // you can do the AJAX request here.
            }

            function removeListingImage(ImageId, filename) {
                $.ajax({
                    method: "POST",
                    url: "/Listing/RemoveListingImage",
                    data: { ListingImageId: ImageId, filename: filename }
                })
                .done(function (msg) {
                    //alert("Data Saved: " + msg);
                    $("#img-container-" + ImageId).remove();
                });
            }
            //File Upload response from the server
            var existingImageCount = $('#dropzoneContainer').children('.dz-preview').length;
            var maxPermittedFileCount = @maxuploadcount;
            if(maxPermittedFileCount == 0)
                maxPermittedFileCount = 6;
            Dropzone.options.dropzoneContainer = {
                maxFiles: maxPermittedFileCount,
                url: '/Listing/SaveListingImages',
                init: function () {
                    this.on("maxfilesexceeded", function (data) {
                        var res = eval('(' + data.xhr.responseText + ')');
                        formData.append("maxFileExceed", 'yes');

                    });

                    var thisDropzone = this;

                    //Call the action method to load the images from the server
                    $.getJSON("/Listing/GetListingImages/", { ListingId: $("#ListingId").val() }).done(function (data) {

                        if (data.Data != '') {
                            var imgcounter = 1;

                            console.log(maxPermittedFileCount);
                            $.each(data.Data, function (index, item) {
                                //// Create the mock file:

                                if (item.ListingImageCategory == 'Location' && item.Image != 'nohouse.png'){
                                    console.log(item.Image);
                                    if( imgcounter < 7 ){
                                        $('#dropzoneContainer').append('<div class="dz-preview dz-file-preview" id="img-container-' + item.ListingImageId + '"><div class="dz-details">' +
                                       '<div class="dz-filename"><span data-dz-name></span></div><div class="dz-size" data-dz-size>' +
                                       '</div>  </div> <div class="dz-progress"><span class="dz-upload" data-dz-uploadprogress></span></div> ' +
                                       '<div class="dz-success-mark"><span>✔</span></div><div class="dz-error-mark"><span>✘</span></div> ' +
                                       '<div class="dz-error-message"><span data-dz-errormessage></span></div> ' +
                                       '<div class="dz-custom-thumb">' +
                                       '<img ListingId="' + item.ListingId + '" filename="' + item.Image + '" id="img-' + item.ListingImageId + '" src="http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + item.Image + '"/></div>' +
                                       '<a class="aviary-edit" onclick="editListingImage(\'img-' + item.ListingImageId + '\',\'' + item.Image + '\')">Edit</a>&nbsp;&nbsp;&nbsp;<a class="aviary-remove" onclick="removeListingImage(' + item.ListingImageId + ',\'' + item.Image + '\')">Remove</a</div>');
                              
                                    }
                                       
                                }
                                imgcounter++;
                                // Call the default addedfile event handler
                                //thisDropzone.emit("addedfile", mockFile);

                                // And optionally show the thumbnail of the file:
                                //thisDropzone.emit("thumbnail", mockFile, 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + item.Image);

                                // If you use the maxFiles option, make sure you adjust it to the
                                // correct amount:
                                //var existingFileCount = 1; // The number of files already uploaded
                                //myDropzone.options.maxFiles = myDropzone.options.maxFiles - existingFileCount;
                            });
                        }

                    });

                    this.on("sending", function (file, xhr, formData) {
                        formData.append("ImageCategoryId", 2);
                        formData.append("ImageListingId", $("#ListingId").val().substr(4));
                        if($('#dropzoneContainer').children('.dz-preview').length > this.options.maxFiles){
                            formData.append("maxFileExceed", 'yes');
                        }else{
                            formData.append("maxFileExceed", 'no');
                        }
                    });
                    /*this.on("addedfile", function (file) {
                        var previewTemplate = $('#preview-template').innerHTML;

                        //console.log(file.toString());
                        //file.previewElement = Dropzone.createElement(previewTemplate);
                        // Create the remove button


                    });*/

                    this.on("success", function (file, data) {
                        var img = Dropzone.createElement('<div class="dz-custom-thumb"><img ListingId="' + data.ListingId + '" filename="' + data.name + '" id="' + data.imgID + '" src="http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + file.name + '"/></div>');
                        file.previewElement.appendChild(img);

                        // Capture the Dropzone instance as closure.
                        var _this = this;

                        var editButton = Dropzone.createElement('<a>Edit</a>');
                        // Listen to the click event
                        editButton.addEventListener("click", function (e) {
                            // Make sure the button click doesn't submit the form:
                            e.preventDefault();
                            e.stopPropagation();
                            return launchEditor(data.imgID, 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + file.name);
                            // Remove the file preview.
                            //_this.removeFile(file);
                            // If you want to the delete the file on the server as well,
                            // you can do the AJAX request here.
                        });

                        file.previewElement.appendChild(editButton);

                        var removeButton = Dropzone.createElement("<a>Remove</a>");

                        // Listen to the click event
                        removeButton.addEventListener("click", function (e) {
                            // Make sure the button click doesn't submit the form:
                            e.preventDefault();
                            e.stopPropagation();
                            // Remove the file preview.
                            _this.removeFile(file);
                            // If you want to the delete the file on the server as well,
                            // you can do the AJAX request here.
                        });


                        // Add the button to the file preview element.
                        file.previewElement.appendChild(removeButton);

                    });
                }
            };
</script>*@

    <script type="text/javascript">
    function editListingImage(id, filename) {
        // Make sure the button click doesn't submit the form:
        console.log("Working");
        $('#injection_site').show();
        return launchEditor(id, 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + filename);
        $('#injection_site').hide();
        // Remove the file preview.
        //_this.removeFile(file);
        // If you want to the delete the file on the server as well,
        // you can do the AJAX request here.
    }

    function removeListingImage(ImageId, filename) {
        $.ajax({
            method: "POST",
            url: "/Listing/RemoveListingImage",
            data: { ListingImageId: ImageId, filename: filename }
        })
        .done(function (msg) {
            $('#img-' + ImageId).parent().parent().remove();
        });
    }
    //File Upload response from the server
    var existingImageCount = $('#dropzoneContainer').children('.dz-preview').length;
    //   console
    Dropzone.options.dropzoneContainer = {
        maxFiles: @imageUploadCount,
        url: '/Listing/SaveListingImages',
        init: function () {
            this.on("maxfilesexceeded", function (data) {
                var res = eval('(' + data.xhr.responseText + ')');
                formData.append("maxFileExceed", 'yes');

            });

            var thisDropzone = this;
            //Call the action method to load the images from the server
            $.getJSON("/Listing/GetListingImages/", { ListingId: $("#ListingId").val() }).done(function (data) {

                if (data.Data != '') {
                    var i = 0;
                    $.each(data.Data, function (index, item) {
                        //// Create the mock file:
                        if (item.ListingImageCategory == 'Location' && item.Image != 'nohouse.png' && i < 4) {
                            $("#imgv-" + i).attr("src", "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/" + item.Image);
                            console.log("#imgv-" + i);
                            i++;
                        }


                    });
                    i = 0;
                    $.each(data.Data, function (index, item) {
                        //// Create the mock file:
                        if ((item.ListingImageCategory == 'Location' || item.ListingImageCategory == 'VirtualSign') && item.Image != 'nohouse.png'){
                            if (i<@imageUploadCount){
                                $('#dropzoneContainer').append('<div class="dz-preview dz-file-preview dz-shown"><div class="dz-details">' +
                                    '<div class="dz-filename"><span data-dz-name></span></div><div class="dz-size" data-dz-size>' +
                                    '</div>  </div> <div class="dz-progress"><span class="dz-upload" data-dz-uploadprogress></span></div> ' +
                                    '<div class="dz-success-mark"><span>✔</span></div><div class="dz-error-mark"><span>✘</span></div> ' +
                                    '<div class="dz-error-message"><span data-dz-errormessage></span></div> ' +
                                    '<div class="dz-custom-thumb">' +
                                    '<img ListingId="' + item.ListingId + '" filename="' + item.Image + '" id="img-' + item.ListingImageId + '" src="http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + item.Image + '"/></div>' +
                                    '<a class="aviary-edit" onclick="editListingImage(\'img-' + item.ListingImageId + '\',\'' + item.Image + '\')">Edit</a> <a class="aviary-remove" onclick="removeListingImage(' + item.ListingImageId + ',\'' + item.Image + '\')">Remove</a</div>');
                            i++;
                        }
                    }

                            // Call the default addedfile event handler
                            //thisDropzone.emit("addedfile", mockFile);

                            // And optionally show the thumbnail of the file:
                            //thisDropzone.emit("thumbnail", mockFile, 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + item.Image);

                            // If you use the maxFiles option, make sure you adjust it to the
                            // correct amount:
                            //var existingFileCount = 1; // The number of files already uploaded
                            //myDropzone.options.maxFiles = myDropzone.options.maxFiles - existingFileCount;
                    });
            }

            });

    this.on("sending", function (file, xhr, formData) {

        console.log(existingImageCount);
        formData.append("ImageCategoryId", 2);
        formData.append("ImageListingId", $("#ListingId").val());
        if($('#dropzoneContainer').children('.dz-preview').length > this.options.maxFiles){
            formData.append("maxFileExceed", 'yes');
        }else{
            formData.append("maxFileExceed", 'no');
        }
    });
    this.on("addedfile", function (file) {
        console.log(file);
        //var previewTemplate = $('#preview-template').innerHTML;

        //console.log(file.toString());
        //file.previewElement = Dropzone.createElement(previewTemplate);
        // Create the remove button


    });

    this.on("success", function (file, data) {
        if($('#dropzoneContainer').children('.dz-preview').length > this.options.maxFiles){
            $('.dz-success').remove();
            $('.upload-error-message').html('Max file exceeded. Please upgrade your account. <a href="http://www.apexproducer.com/Account/Upgrade">Click here</a> to upgrade.');
            return false;
        }


        var img = Dropzone.createElement('<div class="dz-custom-thumb"><img ListingId="' + data.ListingId + '" filename="' + data.name + '" id="' + data.imgID + '" src="http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + file.name + '"/></div>');
        file.previewElement.appendChild(img);

        // Capture the Dropzone instance as closure.
        var _this = this;

        var editButton = Dropzone.createElement('<a>Edit</a>');
        // Listen to the click event
        editButton.addEventListener("click", function (e) {
            // Make sure the button click doesn't submit the form:
            e.preventDefault();
            e.stopPropagation();
            $('#injection_site').show();
            return launchEditor(data.imgID, 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + file.name);
            $('#injection_site').hide();
            // Remove the file preview.
            //_this.removeFile(file);
            // If you want to the delete the file on the server as well,
            // you can do the AJAX request here.
        });

        file.previewElement.appendChild(editButton);

        var removeButton = Dropzone.createElement("<a>Remove</a>");

        // Listen to the click event
        removeButton.addEventListener("click", function (e) {
            // Make sure the button click doesn't submit the form:
            e.preventDefault();
            e.stopPropagation();
            // Remove the file preview.
            _this.removeFile(file);
            // If you want to the delete the file on the server as well,
            // you can do the AJAX request here.
        });


        // Add the button to the file preview element.
        file.previewElement.appendChild(removeButton);

    });
    }
    };
    </script>



        <!-- Instantiate Feather -->
        <script type='text/javascript'>
            var featherEditor = new Aviary.Feather({
                apiKey: 'c07fb6b479fe4fd4893c84da80b2be7c',
                apiVersion: 2,
                tools: 'all',
                appendTo: 'injection_site',
                onSave: function (imageID, newURL) {
                    var img = document.getElementById(imageID);
                    console.log(newURL)
                    img.src = newURL;
                    console.log($('#' + imageID).attr('filename'));
                    $.ajax({
                        type: "POST",
                        url: "/Listing/SaveAndUpdateListingImage",
                        data: { url: newURL, currentImageName: $('#' + imageID).attr('filename') },
                        success: function () { },
                        error: function () { }
                    });
                },
                onError: function (errorObj) {
                    alert(errorObj.message);
                }
            });
            function launchEditor(id, src) {
                featherEditor.launch({
                    image: id,
                    url: src
                });
                return false;
            }
        </script>
    }
